Table of Contents

Class: AOTJellier | Twisted-0.19.0/twisted/persisted/aot.py
--- | ---
Methods |
--- | ---
__init__ jelly jellyToAO prepareForRef
| __init__
    __init__ ( self )
| jelly
    jelly ( self,  obj )
| jellyToAO
    jellyToAO ( self,  obj )
I turn an object into an AOT and return it.
Exceptions |
--- | ---
"Unsupported type: %s" % objType.__name__
| prepareForRef
    prepareForRef (
            self,
            aoref,
            object,
            )
I prepare an object for later referencing, by storing it's id() and it's _AORef in a cache.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:54 2002 by HappyDoc version 2.0